/*	*********************************************	*/
/*	Typographie	*/
/*	*********************************************	*/

/*	vert fond foncé	*/
.tm_green,
h5.tm_green, h4.tm_green, h3.tm_green, h2.tm_green, h1.tm_green {
	color: #32fa88!important;
}
/* vert fond clair	*/
.tm_greener,
h5.tm_greener, h4.tm_greener, h3.tm_greener, h2.tm_greener, h1.tm_greener {
	color: #2ddf79;
}


/*	gros texte p / header	*/
.tm_intro {
    font-size: 1.2rem; /* 19px, base 16px */
    line-height: 1.4em;
}

@media (max-width: 980px) {
    .tm_intro {
        font-size: 1rem; /* ~17px */
    }
}

@media (max-width: 767px) {
    .tm_intro {
        font-size: 1rem; /* 16px */
        line-height: 1.4em; /* légèrement plus aéré, plus lisible sur petit écran */
    }
}


p .tm_greener, p .tm_green {
	font-weight: 400;
}
/*	smallcaps dont TV vs Digtail ads	*/
.tm_smallcaps {
	font-size: .7rem;
	font-weight:700;
	color: #2ddf79;
	text-transform: uppercase;
}
/*	allcaps dont Etape1.. Objectifs...	*/
.tm_caps {
	font-size: .9rem;
	font-weight:700;
	text-transform: uppercase;
}


/*	*********************************************	*/
/*	Liens <a>	*/
/*	https://www.peeayecreative.com/how-to-add-fancy-animated-text-link-underlines-in-divi/	*/
/*	*********************************************	*/
a.darklink, .darklink a  {
	background-image: linear-gradient(120deg, #32fa88 0%, #32fa88 100%);
}
a.litelink {
	background-image: linear-gradient(120deg, #2ddf79 0%, #2ddf79 100%);
}
a.darklink, a.litelink, .darklink a {
	background-repeat: no-repeat;
	background-size: 100% 1px;
	background-position: 0 100%;
	transition: background-size 0.25s ease-in-out;
	color: inherit !important;
}
/* animate the line into a background on hover */
a.darklink:hover, .darklink a:hover {
	color: #000000 !important;
}
a.litelink:hover, .litelink a:hover {
	color: #ffffff !important;
}
a.darklink:hover, a.litelink:hover, .darklink a:hover, .litelink a:hover {
	background-size: 100% 100%;
	transition: ease all .3s;
}

/*	*********************************************	*/
/*	Listes	*/
/*	*********************************************	*/
ul.darklist, ul.litelist {
  list-style: none !important;
}
ul.darklist li::before, ul.litelist li::before {
	content: "• ";
	display: inline-block;
	width: 1em;
	margin-left: -1em
}
ul.darklist li::before {
	color: #32fa88;
}
ul.litelist li::before {
	color: #2ddf79;
}


/*	*********************************************	*/
/*	JS & CSS pour toggle texte Lire plus moins	*/
/*	https://www.peeayecreative.com/how-to-expand-and-collapse-text-in-divi/	*/
/*	*********************************************	*/

/* 1. Ciblage combiné pour masquer le texte (Blurb & Texte Divi) */
.pa-toggle-text .et_pb_blurb_description,
.pa-toggle-text .et_pb_text_inner {
	transition: max-height 0.4s ease-in-out;
	overflow: hidden;
	position: relative; 
}
.pa-toggle-text .et_pb_blurb_description {
	max-height: 10em;
}
.pa-toggle-text .et_pb_text_inner {
	max-height: 14.5em;
}
/* 2. Le dégradé de transition en RGBA (avec réglage à 33%) */
.pa-toggle-text .et_pb_blurb_description:after,
.pa-toggle-text .et_pb_text_inner:after {
	content: "";
	display: block;
	position: absolute;
	pointer-events: none;
	height: 50px; 
	width: 100%;
	left: 0;
	bottom: 0;
	background-image: linear-gradient(0deg, rgba(0, 16, 19, 0.55) 33%, rgba(0, 16, 19, 0) 100%);
	transition: opacity 0.3s ease;
}
/* 3. Libération de la hauteur au déploiement pour les deux modules */
.pa-toggle-text .et_pb_blurb_description.pa-text-toggle-expanded,
.pa-toggle-text .et_pb_text_inner.pa-text-toggle-expanded {
	max-height: 2000px !important; 
}
/* 4. Masquage du dégradé à l'état développé */
.pa-toggle-text .et_pb_blurb_description.pa-text-toggle-expanded:after,
.pa-toggle-text .et_pb_text_inner.pa-text-toggle-expanded:after {
	opacity: 0;
	pointer-events: none;
}
/* 5. Style épuré du bouton pour fond sombre */
.pa-toggle-text .pa-text-expand-button {
	color: #fff !important; 
	padding: 0.4em 0; 
	margin-top: 1em;
	font-weight: 600;
	text-transform: uppercase;
	background-color: transparent; 
	display: inline-block; 
	cursor: pointer;
	font-size: 14px;
	letter-spacing: 1px;
}
.pa-toggle-text .pa-text-expand-button:hover {
	opacity: 0.6;
}
.pa-toggle-text .pa-text-expand-button span {
	cursor: pointer;
}
.pa-toggle-text .pa-text-expand-button .pa-text-toggle-icon {
	font-family: ETMODULES, "sans-serif";
	color: #32fa88; /* Couleur personnalisée pour l'icône du bouton */
	margin-left: 8px;
	vertical-align: middle;
}
